從哪裡開始?
- 1用使用者名稱註冊並登入控制台。
- 2在「連線」分頁建立 API 金鑰。完整金鑰只在建立時顯示一次,請立即保存在安全的地方。
- 3在每個需要金鑰的請求中,用 Authorization 標頭傳送金鑰。
- 4先呼叫 /account 確認金鑰可用,再用 /orders 下單。
驗證
與您自己帳號相關的請求(account、orders、proxy-user)需要 API 金鑰,請在標頭中以 Authorization: Bearer spk_... 傳送。價格、國家與報價為公開資訊,不需金鑰即可使用。
StarProxy 只保存每組金鑰的雜湊值,不保存金鑰本身。如果遺失金鑰,請在控制台建立新的,舊金鑰會在那一刻失效。金鑰只能放在伺服器程式碼中,切勿放在瀏覽器執行的程式碼或公開的程式庫中。
Authorization: Bearer spk_your_api_key
基本 URL 與資料格式
- 基本 URL
- https://starproxy.shop/api/v1
- 請求與回應內容
- application/json
- 金額
- 以數字表示的 USD,例如 1047.70
- 時間戳記
- ISO 8601 (UTC)
有呼叫次數限制嗎?
每組 API 金鑰每分鐘最多可呼叫 60 次。不帶金鑰的公開端點,每個 IP 每分鐘可呼叫 60 次。超過限制會收到 HTTP 429,請等一分鐘後再送出。
錯誤會以什麼形式回傳?
HTTP 狀態碼,加上包含簡短錯誤代碼與訊息的 JSON 內容。
{
"error": {
"code": "insufficient_balance",
"message": "Your balance is too low for this order. Top up in the dashboard."
}
}| HTTP | code | 說明 |
|---|---|---|
| bad_requestHTTP 400缺少必要的值,或該值不適用於此產品。 | 缺少必要的值,或該值不適用於此產品。 | |
| unauthorizedHTTP 401缺少 API 金鑰,或金鑰不符。 | 缺少 API 金鑰,或金鑰不符。 | |
| insufficient_balanceHTTP 402餘額低於訂單總額。沒有扣款。 | 餘額低於訂單總額。沒有扣款。 | |
| not_foundHTTP 404您的帳號中沒有此 id 的訂單。 | 您的帳號中沒有此 id 的訂單。 | |
| rate_limitedHTTP 429一分鐘內的請求次數過多。 | 一分鐘內的請求次數過多。 | |
| server_errorHTTP 500伺服器無法完成請求。沒有扣款。 | 伺服器無法完成請求。沒有扣款。 |
端點
取得帳號
GET/api/v1/account需要 API 金鑰
回傳您的餘額、代理主機與連接埠、代理使用者名稱與密碼,以及允許的 IP。
curl https://starproxy.shop/api/v1/account \ -H "Authorization: Bearer spk_your_api_key"
{
"username": "star_user01",
"balance_usd": 1300,
"proxy": {
"host": "gate.starproxy.shop",
"http_port": 6100,
"socks5_port": 6200,
"username": "spexample1",
"password": "your_password"
},
"allowed_ips": [
"203.0.113.10"
]
}取得產品與價格
GET/api/v1/products不需金鑰
回傳各產品的訂購範圍、各數量級距的價格與期間折扣,與價格頁使用相同的價目表。
curl https://starproxy.shop/api/v1/products
{
"currency": "USD",
"prices_as_of": "2026-10-31",
"products": [
{
"id": "unlimited",
"unit": "day",
"quantity": {
"meaning": "days",
"min": 1,
"max": 365
},
"...": "..."
},
{
"id": "residential",
"unit": "gb",
"...": "..."
}
]
}列出國家與城市
GET/api/v1/countries不需金鑰
回傳各產品支援的國家,以及 -city- 使用者名稱選項可用的城市值。
| 欄位 | 類型 | 說明 |
|---|---|---|
product選填 | string | unlimited、residential、isp、datacenter 其中之一。預設為 residential。 |
curl "https://starproxy.shop/api/v1/countries?product=datacenter"
{
"product": "datacenter",
"countries": [
{
"code": "us",
"name": "United States",
"region": "americas",
"datacenter": true,
"cities": [
{
"name": "New York",
"value": "new_york"
},
{
"name": "Los Angeles",
"value": "los_angeles"
}
]
}
]
}取得報價
POST/api/v1/quote不需金鑰
計算訂單總額,不會動到您的餘額。請傳送與下單時相同的內容。
| 欄位 | 類型 | 說明 |
|---|---|---|
product必填 | string | unlimited、residential、isp、datacenter 其中之一。 |
quantity必填 | integer | unlimited 為天數(1~365),residential 為 GB(5~5,000),isp 為 IP 數量(1~1,000),datacenter 為 IP 數量(5~5,000)。 |
concurrency選填 | integer | 僅限 unlimited。200、500、1000、2000 其中之一。 |
bandwidth選填 | integer | 僅限 unlimited,單位 Mbps。100、200、500、1000 其中之一。 |
months選填 | integer | 僅限 isp 與 datacenter。1、3、6、12 其中之一。 |
country選填 | string | 僅限 isp 與 datacenter。兩個字母的國家代碼,例如 jp。有效值請見 /countries。 |
curl -X POST https://starproxy.shop/api/v1/quote \
-H "Content-Type: application/json" \
-d '{"product":"unlimited","quantity":30,"concurrency":1000,"bandwidth":200}'{
"product": "unlimited",
"quantity": 30,
"unit_price_usd": 8.41,
"unit": "day",
"total_usd": 252.3
}建立訂單
POST/api/v1/orders需要 API 金鑰
從餘額扣除總額並建立訂單。狀態一開始為 pending(開通中),訂單準備完成後變為 active。如果無法開通,會變為 refunded,全部金額退回餘額。餘額不足時回傳 402。
| 欄位 | 類型 | 說明 |
|---|---|---|
product必填 | string | unlimited、residential、isp、datacenter 其中之一。 |
quantity必填 | integer | unlimited 為天數(1~365),residential 為 GB(5~5,000),isp 為 IP 數量(1~1,000),datacenter 為 IP 數量(5~5,000)。 |
concurrency選填 | integer | 僅限 unlimited。200、500、1000、2000 其中之一。 |
bandwidth選填 | integer | 僅限 unlimited,單位 Mbps。100、200、500、1000 其中之一。 |
months選填 | integer | 僅限 isp 與 datacenter。1、3、6、12 其中之一。 |
country選填 | string | 僅限 isp 與 datacenter。兩個字母的國家代碼,例如 jp。有效值請見 /countries。 |
curl -X POST https://starproxy.shop/api/v1/orders \
-H "Authorization: Bearer spk_your_api_key" \
-H "Content-Type: application/json" \
-d '{"product":"unlimited","quantity":30,"concurrency":1000,"bandwidth":200}'{
"order": {
"id": "SP-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.41,
"total_usd": 252.3,
"status": "pending",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:12:44.120Z"
},
"balance_usd": 1047.7
}列出訂單
GET/api/v1/orders需要 API 金鑰
回傳最多 100 筆訂單,由新到舊。
| 欄位 | 類型 | 說明 |
|---|---|---|
status選填 | string | pending、active、refunded 其中之一。留空則回傳所有狀態。 |
curl "https://starproxy.shop/api/v1/orders?status=pending" \ -H "Authorization: Bearer spk_your_api_key"
{
"orders": [
{
"id": "SP-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.41,
"total_usd": 252.3,
"status": "pending",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:12:44.120Z"
}
]
}取得訂單
GET/api/v1/orders/{id}需要 API 金鑰
依 id 回傳一筆訂單。可用來確認開通是否完成。
| 欄位 | 類型 | 說明 |
|---|---|---|
id必填 | string | 訂單 id,例如 SP-7KQ2M-X4HTD。 |
curl https://starproxy.shop/api/v1/orders/SP-7KQ2M-X4HTD \ -H "Authorization: Bearer spk_your_api_key"
{
"order": {
"id": "SP-7KQ2M-X4HTD",
"product": "unlimited",
"quantity": 30,
"months": null,
"concurrency": 1000,
"bandwidth_mbps": 200,
"country": null,
"unit_price_usd": 8.41,
"total_usd": 252.3,
"status": "active",
"created_at": "2026-10-31T09:12:44.120Z",
"updated_at": "2026-10-31T09:40:02.511Z"
}
}產生代理使用者名稱
GET/api/v1/proxy-user需要 API 金鑰
回傳已內建選項的代理使用者名稱,以及可直接貼上的 HTTP 與 SOCKS5 URL。不帶 session 時,每個請求都會取得新的 IP。
| 欄位 | 類型 | 說明 |
|---|---|---|
product選填 | string | unlimited、residential、isp、datacenter 其中之一。預設為 unlimited。 |
country選填 | string | 兩個字母的國家代碼,例如 jp。 |
city選填 | string | /countries 中的城市值,例如 tokyo。需同時傳送 country。 |
session選填 | string | 1~32 個英文字母或數字。相同 session 的請求共用同一個 IP。 |
ttl選填 | integer | 工作階段保持 IP 的分鐘數,1~60。預設為 30。 |
curl "https://starproxy.shop/api/v1/proxy-user?product=residential&country=jp&city=tokyo&session=job42&ttl=30" \ -H "Authorization: Bearer spk_your_api_key"
{
"username": "spexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30",
"password": "your_password",
"http": "http://spexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30:your_password@gate.starproxy.shop:6100",
"socks5": "socks5h://spexample1-zone-res-cc-jp-city-tokyo-sid-job42-ttl-30:your_password@gate.starproxy.shop:6200"
}完整範例
一支腳本完成取得報價、用餘額下單,並透過日本 IP 連線。
import requests
API = "https://starproxy.shop/api/v1"
HEAD = {"Authorization": "Bearer spk_your_api_key"}
# 1) Check the price first
plan = {"product": "residential", "quantity": 100}
print(requests.post(f"{API}/quote", json=plan).json())
# 2) Order from your balance
r = requests.post(f"{API}/orders", json=plan, headers=HEAD)
order = r.json()["order"]
print(order["id"], order["status"])
# 3) Get a username for Japanese IPs
u = requests.get(f"{API}/proxy-user", headers=HEAD,
params={"product": "residential", "country": "jp"}).json()
proxies = {"http": u["http"], "https": u["http"]}
print(requests.get("https://ipinfo.io/json", proxies=proxies, timeout=30).json())const API = "https://starproxy.shop/api/v1";
const HEAD = { Authorization: "Bearer spk_your_api_key", "Content-Type": "application/json" };
// Check the balance
const acc = await fetch(`${API}/account`, { headers: HEAD }).then((r) => r.json());
console.log(acc.balance_usd);
// Order 7 days of unlimited
const res = await fetch(`${API}/orders`, {
method: "POST",
headers: HEAD,
body: JSON.stringify({ product: "unlimited", quantity: 7, concurrency: 500, bandwidth: 100 }),
});
if (res.status === 402) console.log("Top up first");
else console.log((await res.json()).order.id);透過 API 下的訂單與控制台訂單處理方式相同,並會顯示在「紀錄」分頁。請把範例中的 spk_your_api_key 換成您自己的金鑰。